View Issue Details

IDProjectCategoryView StatusLast Update
0001455SOGoBackend Generalpublic2012-07-23 11:06
Reporterjmkjfc Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.8a 
Fixed in Version1.3.17 
Summary0001455: CAS authentication : cas-proxy-validate.py should accept empy parameters
Description

CAS use the following steps when validateing a proxy ticket :
1) validation of the client (here sogo) SSL certificate
2) validation of the proxy ticket.

The fist step fails when using cas-proxy-validate.py as the code does not accept empty parameters.

Attached patch correct this behavior

TagsNo tags attached.

Activities

2011-10-06 05:20

 

cas-proxy-validate.py.diff (592 bytes)   
*** /dev/shm/cas-proxy-validate.py	2011-10-06 10:48:11.189232230 +0200
--- /dev/shm/cas-proxy-validate2.py	2011-10-06 11:07:07.094871738 +0200
***************
*** 43,48 ****
--- 43,52 ----
      def _runAsCGI(self):
          if self._cgiChecks():
              form = cgi.FieldStorage()
+ 	    if form.list == []:
+ 		message = "Empty parameters : assuming cert. validation"
+ 		self._printCGIError(message, 200)
+ 		return
              if form.has_key("pgtId") and form.has_key("pgtIou"):
                  pgtIou = form.getfirst("pgtIou")
                  pgtId = form.getfirst("pgtId")
cas-proxy-validate.py.diff (592 bytes)   
Orchal

Orchal

2011-10-12 09:29

reporter   ~0002887

This patch works well for me and is necessary.

ludovic

ludovic

2012-07-23 11:06

administrator   ~0004202

http://mtn.inverse.ca/revision/diff/95a335681530001430a12707d05dbed7839214fb/with/74e79fa391e19c2111663aba07a783fd4cdd19bd

Issue History

Date Modified Username Field Change
2011-10-06 05:20 jmkjfc New Issue
2011-10-06 05:20 jmkjfc File Added: cas-proxy-validate.py.diff
2011-10-12 09:29 Orchal Note Added: 0002887
2012-07-23 11:06 ludovic Note Added: 0004202
2012-07-23 11:06 ludovic Status new => closed
2012-07-23 11:06 ludovic Resolution open => fixed
2012-07-23 11:06 ludovic Fixed in Version => 1.3.17